def can_form_correct_die(nums):
    # nums - это список из 6 чисел
    # Проверяем все возможные комбинации пар
    from itertools import permutations

    for perm in permutations(nums):
        if perm[0] + perm[5] == perm[1] + perm[4] == perm[2] + perm[3]:
            return True
    return False

# Чтение входных данных
import sys

input_data = sys.stdin.read().strip()
numbers = list(map(int, input_data.split()))

# Проверка и вывод результата
if can_form_correct_die(numbers):
    print("YES")
else:
    print("NO")